Subject: Re: [dnssd] WGLC for draft-ietf-dnssd-push

From: David Schinazi <[email-masked]>
Date: Tue, 7 May 2019 11:22:09 -0700

Thanks everyone.

Since draft-ietf-dnssd-push already had successfully completed WGLC, and
there was no opposition to the latest changes, we're declaring this WGLC
successful. The document will be submitted to the IESG for publication
shortly.

David

On Mon, Apr 29, 2019 at 8:38 AM Jan Komissar (jkomissa) <[email-masked]>
wrote:

> This draft looks fine to me.
>
>
>
> Jan.
>
>
>
> *From: *dnssd <[email-masked]> on behalf of David Schinazi <
> [email-masked]>
> *Date: *Sunday, April 28, 2019 at 8:07 PM
> *To: *Stuart Cheshire <cheshire=[email-masked]>
> *Cc: *DNSSD <[email-masked]>
> *Subject: *Re: [dnssd] WGLC for draft-ietf-dnssd-push
>
>
>
> Thank you Stuart.
>
>
>
> To give working group members time to review this diff and your email, we
> are extending this WGLC by a week, until 2019-05-06.
>
>
>
> For future reference, you can use rfcdiff with published draft names in
> the URL:
>
>
> https://tools.ietf.org//rfcdiff?url1=draft-ietf-dnssd-push-16&url2=draft-ietf-dnssd-push-19
> <https://tools.ietf.org/rfcdiff?url1=draft-ietf-dnssd-push-16&url2=draft-ietf-dnssd-push-19>
>
>
>
> Speaking with WG chair hat off, I personally do not see any problem with
> these changes and support publication.
>
>
>
> Thanks,
>
> David
>
>
>
> On Thu, Apr 25, 2019 at 10:13 PM Stuart Cheshire <cheshire=
> [email-masked]> wrote:
>
> On 15 Apr 2019, at 10:07, David Schinazi <[email-masked]> wrote:
>
> > This email starts another Working Group Last Call (WGLC) for
> draft-ietf-dnssd-push, which will last for two weeks until 2019-04-29. As a
> reminder, this document has already passed WGLC but some slight changes to
> the document warranted another WGLC.
>
> Thank you David.
>
> I have attached an HTML file of the output from <
> https://tools.ietf..org/rfcdiff <https://tools.ietf.org/rfcdiff>>
> comparing draft-ietf-dnssd-push-16 with draft-ietf-dnssd-push-19.
>
> There are a variety of minor textual changes, such as replacing references
> to draft-ietf-dnsop-session-signal with references to RFC 8490, now that
> this document is published.
>
> In terms of substantive changes, there are two:
>
> 1. DNS Push Notification RECONFIRM
>
> We realized that there is no useful response to a RECONFIRM request. We
> changed RECONFIRM to be a unidirectional DSO message, and that results in
> the deletion of the entire “RECONFIRM Response” section. This simplifies
> both code, and the document.
>
> 2. DNS Push Notification Updates
>
> Previously, Tom Pusateri and I thought that borrowing the DNS Update
> encoding made sense. That was before DSO (RFC 8490).
>
> When implementing the current specification of DNS Push Notifications over
> DSO, Ted Lemon discovered that it has no way to express the DNS CLASS of
> changes.
>
> We need to address the problem Ted Lemon discovered, and now that DNS Push
> uses DSO TLV encoding instead of traditional DNS messages, the incentive to
> follow strictly the existing DNS Update encoding has disappeared.
>
> To address this issue, we adopted a new, simpler, way of expressing
> changes.. It’s broadly similar, but simpler.
>
> Please take a look at these changes and let us know if you see any
> problems..
>
> And if you *don’t* see any problems with these changes, please respond
> saying that too.
>
> Stuart Cheshire
>
> _______________________________________________
> dnssd mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnssd
>
>